Bug 39904 - graceful restart error and cpu load
Summary: graceful restart error and cpu load
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Build (show other bugs)
Version: 2.2.0
Hardware: Other Linux
: P2 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2006-06-27 02:43 UTC by Jim Albert
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Albert 2006-06-27 02:43:01 UTC
Dell 1850, OS: Linux 2.6.17-1.2139_FC5smp
When performing a graceful restart (SIGUSR1), CPU load increases greatly toward
100% for about 30 seconds. In addition the following error appears in the error
log only when doing a graceful restart:
[error] (9)Bad file descriptor: apr_socket_accept: (client socket)
I'm not sure if the error message and the cpu load are related.
Comment 1 Hsing-Tsu Lai 2006-07-26 23:28:24 UTC
Getting the same error messages with apache 2.2.2 on OSX 10.4.7, Solaris 9, and 
10.
Comment 2 richlv 2007-09-25 03:36:15 UTC
it seems that error message problem is handled in bug 42829 (and there is a 
proposed patch attached)
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:42 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.